
package de.ivu.elect.business.kandidatur.boundary;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.entity.Direktkandidatur;
import de.ivu.elect.business.kandidatur.entity.Listenkandidatur;
import de.ivu.elect.business.wahlvorschlag.boundary.EinzelbewerberWahlvoschlagEdit;

@Stateless
public class WaehlerBenannteKandidaturEdit {

  @Inject
  private transient EinzelbewerberWahlvoschlagEdit einzelbewerberWahlvoschlagEdit;

  @Inject
  private transient ListenkandidaturEdit listenkandidaturEdit;

  public WaehlerBenannteKandidaturEdit() {
    super();
  }

  public void deleteWaehlerBenannteDirektkandidatur(Direktkandidatur direktkandidatur) {
    einzelbewerberWahlvoschlagEdit.delete(direktkandidatur.getDirektkandidat());
  }

  public void deleteWaehlerBenannteListenkandidatur(Listenkandidatur listenkandidatur) {
    listenkandidaturEdit.delete(listenkandidatur);
  }
}
